Re: [SLE] SuSE 9.1, glibc, NTPL and wine

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [SLE] SuSE 9.1, glibc, NTPL and wine

Osho GG
On 11/8/06, Marcus Meissner <[hidden email]> wrote:

> On Wed, Nov 08, 2006 at 03:36:27PM -0800, Osho GG wrote:
> > Hi,
> >
> > I have a problem with wine on my SuSE 9.1 installation. It seems that
> > since wine 0.9.18 version, I can not run wine. it always gives me this
> > error:
> > I looked into wine database and it seems this is a known issue:
> >
> > http://bugs.winehq.org/show_bug.cgi?id=5826
> >
> > Apparently the root cause of the issue is that glibc does not support
> > NTPL. So, my question is does SuSE 9.1 glibc (2.3.3-98) support NTPL?
> > I am running kernel 2.6.16.18 (kotd) so its a fairly recent kernel.
> >
> >
> > Any help/suggestion would be greatly appreciated.
>
> 9.1 supports NPTL. Its another problem :/
>

Thanks for the reply. I thought so too. But, here is what getconf gives

% getconf GNU_LIBPTHREAD_VERSION
linuxthreads-0.10

According to http://linuxdevices.com/articles/AT6753699732.html, this
command should give nptl-0.60 as an output if glibc supports NPTL. My
glibc version is 2.3.3.-98

% rpm -q glibc
glibc-2.3.3-98

Any ideas??

thanks,
Osho

> Ciao, Marcus
>
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Re: [SLE] SuSE 9.1, glibc, NTPL and wine

Marcus Meissner
On Fri, Nov 10, 2006 at 02:27:49PM -0800, Osho GG wrote:

> On 11/8/06, Marcus Meissner <[hidden email]> wrote:
> >On Wed, Nov 08, 2006 at 03:36:27PM -0800, Osho GG wrote:
> >> Hi,
> >>
> >> I have a problem with wine on my SuSE 9.1 installation. It seems that
> >> since wine 0.9.18 version, I can not run wine. it always gives me this
> >> error:
> >> I looked into wine database and it seems this is a known issue:
> >>
> >> http://bugs.winehq.org/show_bug.cgi?id=5826
> >>
> >> Apparently the root cause of the issue is that glibc does not support
> >> NTPL. So, my question is does SuSE 9.1 glibc (2.3.3-98) support NTPL?
> >> I am running kernel 2.6.16.18 (kotd) so its a fairly recent kernel.
> >>
> >>
> >> Any help/suggestion would be greatly appreciated.
> >
> >9.1 supports NPTL. Its another problem :/
> >
>
> Thanks for the reply. I thought so too. But, here is what getconf gives
>
> % getconf GNU_LIBPTHREAD_VERSION
> linuxthreads-0.10
>
> According to http://linuxdevices.com/articles/AT6753699732.html, this
> command should give nptl-0.60 as an output if glibc supports NPTL. My
> glibc version is 2.3.3.-98
>
> % rpm -q glibc
> glibc-2.3.3-98
>
> Any ideas??

Very strange.

run:
echo $LD_ASSUME_KERNEL
rpm -q --qf '%{ARCH}' glibc

CIao, Marcus
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]